import { _decorator, Component, Label, Node } from 'cc';
import { interact_scene_data, scene_item_data } from '../../../data/data';
import { view_ui_att_item } from './view_ui_att_item';
import { tools } from '../../tools';
import { ClientEvent } from '../../clientEvent';
import { config } from '../../config';
import { Attributes } from '../Attributes';
const { ccclass, property } = _decorator;

@ccclass('view_interact_scene')
export class view_interact_scene extends Component {

    @property(Node) lab_scene_desc:Node = null;

    private m_data:interact_scene_data = null;

    protected start(): void {
  
    }
    public updateView(data:interact_scene_data){
        if(data===null){
            data = new interact_scene_data;
        }
        this.m_data = data;
        this.lab_scene_desc.getComponent(Label).string = this.m_data.scene?`当前的子场景名字：${this.m_data.scene.scene_diy_name}`:'没有添加子场景'
    }

    public getData(){
        return this.m_data;
    }
}


